Bug Hunting Session
Bug 113855 - Assertion while customizing Bullets and Numbering (duplicate listener)
Summary: Assertion while customizing Bullets and Numbering (duplicate listener)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: haveBacktrace
Depends on:
Blocks: Assert
  Show dependency treegraph
 
Reported: 2017-11-15 13:37 UTC by kurtaazz
Modified: 2017-11-18 19:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb backtrace (37.14 KB, text/plain)
2017-11-15 14:37 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kurtaazz 2017-11-15 13:37:23 UTC
Description:
assertion fails at svl/source/notify/lstner.cxx line:102

Steps to Reproduce:
1. right click on title 
2. bullets and numbering...
3. customize
4. set number to graphics
5. click on select

Actual Results:  
program crashes

Expected Results:
not crashing


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_6) AppleWebKit/601.7.7 (KHTML, like Gecko) Version/9.1.2 Safari/601.7.7
Comment 1 Xisco Faulí 2017-11-15 14:27:19 UTC
I can't reproduce it in

Version: 6.0.0.0.alpha1+
Build ID: b56479e88edeabd6c6fe51cc0095a23543229856
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: x11; 
Locale: th-TH (ca_ES.UTF-8); Calc: group

but I don't have a debug build...
Comment 2 Xisco Faulí 2017-11-15 14:30:34 UTC
Reproduced in a debug build

Version: 6.0.0.0.alpha1+
Build ID: 5e0022c90c4125a1590b3688dfec73c271b7aedd
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: x11; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2017-11-07_23:14:30
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 3 Xisco Faulí 2017-11-15 14:37:54 UTC
Created attachment 137783 [details]
gdb backtrace
Comment 4 Aron Budea 2017-11-15 14:43:14 UTC
Happens in other applications as well.
Note the assert message: "duplicate listener, try building with DBG_UTIL to find the other insert site."

Relevant part of the console log:

warn:svl:23893:23893:svl/source/notify/lstner.cxx:99: previous StartListening call came from: /home/valaki/projects/libreoffice/instdir/program/libuno_sal.so.3(_ZN3sal13backtrace_getEj+0x83) [0x7fc6964b8305]
/home/valaki/projects/libreoffice/instdir/program/libsvllo.so(_ZN11SfxListener14StartListeningER14SfxBroadcasterb+0x248) [0x7fc690c4fd7a]
/home/valaki/projects/libreoffice/instdir/program/libsvxcorelo.so(_ZN7Gallery12AcquireThemeERKN3rtl8OUStringER11SfxListener+0x80) [0x7fc68eee00a4]
/home/valaki/projects/libreoffice/instdir/program/libsvxcorelo.so(_ZN15GalleryExplorer12BeginLockingERKN3rtl8OUStringE+0x3b) [0x7fc68eed901f]
/home/valaki/projects/libreoffice/instdir/program/libsvxcorelo.so(_ZN15GalleryExplorer12BeginLockingEj+0x59) [0x7fc68eed9099]
/home/valaki/projects/libreoffice/instdir/program/libsvxlo.so(_ZN17SvxBmpNumValueSet4initEv+0x41) [0x7fc6902c8697]
/home/valaki/projects/libreoffice/instdir/program/libsvxlo.so(_ZN17SvxBmpNumValueSetC1EPN3vcl6WindowEl+0x99) [0x7fc6902c8561]
/home/valaki/projects/libreoffice/instdir/program/libsvxlo.so(+0x4ef673) [0x7fc6902c9673]
/home/valaki/projects/libreoffice/instdir/program/libsvxlo.so(makeSvxBmpNumValueSet+0x3e) [0x7fc6902c85fe]
/home/valaki/projects/libreoffice/instdir/program/libvcllo.so(_ZN10VclBuilder10makeObjectEPN3vcl6WindowERKN3rtl7OStringES6_RNSt7__debug3mapIS4_NS3_8OUStringESt4lessIS4_ESaISt4pairIS5_S9_EEEE+0x375b) [0x7fc68b9621f5]
soffice.bin: /home/valaki/projects/libreoffice/svl/source/notify/lstner.cxx:102: void SfxListener::StartListening(SfxBroadcaster&, bool): Assertion `!(bListeningAlready && !bPreventDuplicates) && "duplicate listener, try building with DBG_UTIL to find the other insert site."' failed.
Comment 5 Xisco Faulí 2017-11-15 14:46:31 UTC
The assert was added in bc9a2ba677ce3fcd46c2bbef6e8faeacb14292c1.
Adding Noel Grandin just in case he's interested in this bug
Comment 6 Commit Notification 2017-11-18 06:42:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d097883541b9d244e50ced7fe49a4d7a0f65cfd

tdf#113855 Assertion while customizing Bullets and Numbering

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.